diff --git a/web/pgadmin/tools/sqleditor/tests/test_view_data_templates.py b/web/pgadmin/tools/sqleditor/tests/test_view_data_templates.py
index 7c39420f..8615f35e 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_view_data_templates.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_view_data_templates.py
@@ -11,170 +11,198 @@ import os
 import re
 
 from flask import Flask, render_template
+from grappa import should
 from jinja2 import FileSystemLoader
 
-from pgadmin import VersionedTemplateLoader
-from pgadmin.utils.route import BaseTestGenerator
-from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
+from pgadmin.utils.driver import get_driver
+
 try:
     from collections import OrderedDict
 except ImportError:
     from ordereddict import OrderedDict
 
 
-class TestViewDataTemplates(BaseTestGenerator):
-    """
-    This class validates the template query for
-    inserting and selecting table data.
-    """
-    data_to_be_saved = OrderedDict()
-    data_to_be_saved['id'] = '1'
-    data_to_be_saved['text'] = 'just test'
-    scenarios = [
-        (
-            'When inserting and selecting table data with only PK',
-            dict(
-                insert_template_path='sqleditor/sql/default/insert.sql',
-                insert_parameters=dict(
-                    data_to_be_saved=data_to_be_saved,
-                    primary_keys=None,
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    data_type={'text': 'text', 'id': 'integer'},
-                    pk_names='id',
-                    has_oids=False
-                ),
-                insert_expected_return_value='INSERT INTO'
-                                             ' test_schema.test_table'
-                                             ' (id, text) VALUES'
-                                             ' (%(id)s::integer, '
-                                             '%(text)s::text)'
-                                             ' returning id;',
-                select_template_path='sqleditor/sql/default/select.sql',
-                select_parameters=dict(
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    primary_keys=OrderedDict([('id', 'int4')]),
-                    has_oids=False
-                ),
-                select_expected_return_value='SELECT * FROM '
-                                             'test_schema.test_table'
-                                             'WHERE id = %(id)s;'
-            )),
-        (
-            'When inserting and selecting table data with multiple PK',
-            dict(
-                insert_template_path='sqleditor/sql/default/insert.sql',
-                insert_parameters=dict(
-                    data_to_be_saved=data_to_be_saved,
-                    primary_keys=None,
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    data_type={'text': 'text', 'id': 'integer'},
-                    pk_names='id, text',
-                    has_oids=False
-                ),
-                insert_expected_return_value='INSERT INTO'
-                                             ' test_schema.test_table'
-                                             ' (id, text)'
-                                             ' VALUES (%(id)s::integer,'
-                                             ' %(text)s::text)'
-                                             ' returning id, text;',
-                select_template_path='sqleditor/sql/default/select.sql',
-                select_parameters=dict(
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    primary_keys=OrderedDict([('id', 'int4'),
-                                              ('text', 'text')]),
-                    has_oids=False
-                ),
-                select_expected_return_value='SELECT * FROM'
-                                             ' test_schema.test_table'
-                                             'WHERE id = %(id)s AND'
-                                             ' text = %(text)s;'
-            )),
-        (
-            'When inserting and selecting table data with PK and OID',
-            dict(
-                insert_template_path='sqleditor/sql/default/insert.sql',
-                insert_parameters=dict(
-                    data_to_be_saved=data_to_be_saved,
-                    primary_keys=None,
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    data_type={'text': 'text', 'id': 'integer'},
-                    pk_names='id',
-                    has_oids=True
-                ),
-                insert_expected_return_value='INSERT INTO'
-                                             ' test_schema.test_table'
-                                             ' (id, text) VALUES'
-                                             ' (%(id)s::integer, '
-                                             '%(text)s::text) '
-                                             'returning oid;',
-                select_template_path='sqleditor/sql/default/select.sql',
-                select_parameters=dict(
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    primary_keys=OrderedDict([('id', 'int4')]),
-                    has_oids=True
-                ),
-                select_expected_return_value='SELECT oid, * '
-                                             'FROM test_schema.test_table'
-                                             'WHERE oid = %(oid)s;'
-            )),
-        (
-            'When inserting and selecting table data with only OID',
-            dict(
-                insert_template_path='sqleditor/sql/default/insert.sql',
-                insert_parameters=dict(
-                    data_to_be_saved=data_to_be_saved,
-                    primary_keys=None,
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    data_type={'text': 'text', 'id': 'integer'},
-                    pk_names=None,
-                    has_oids=True
-                ),
-                insert_expected_return_value='INSERT INTO'
-                                             ' test_schema.test_table'
-                                             ' (id, text) VALUES'
-                                             ' (%(id)s::integer,'
-                                             ' %(text)s::text)'
-                                             ' returning oid;',
-                select_template_path='sqleditor/sql/default/select.sql',
-                select_parameters=dict(
-                    object_name='test_table',
-                    nsp_name='test_schema',
-                    primary_keys=None,
-                    has_oids=True
-                ),
-                select_expected_return_value='SELECT oid, * FROM'
-                                             ' test_schema.test_table'
-                                             'WHERE oid = %(oid)s;'
+class TestViewDataTemplates:
+    def test_insert_with_only_pk(self):
+        """
+        When Inserting table data with only Primary Key
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
+        with FakeApp().app_context():
+            result = render_template('sqleditor/sql/default/insert.sql',
+                                     data_to_be_saved=data_to_be_saved,
+                                     primary_keys=None,
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     data_type={'text': 'text',
+                                                'id': 'integer'},
+                                     pk_names='id',
+                                     has_oids=False)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'INSERT INTO test_schema.test_table (id, text) VALUES'
+                ' (%(id)s::integer, %(text)s::text) returning id;'
+                .replace("\n", ""))
+
+    def test_insert_with_multiple_pk(self):
+        """
+        When Inserting table data with multiple Primary Keys
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
+        with FakeApp().app_context():
+            result = render_template('sqleditor/sql/default/insert.sql',
+                                     data_to_be_saved=data_to_be_saved,
+                                     primary_keys=None,
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     data_type={'text': 'text',
+                                                'id': 'integer'},
+                                     pk_names='id, text',
+                                     has_oids=False)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'INSERT INTO test_schema.test_table (id, text) VALUES'
+                ' (%(id)s::integer, %(text)s::text) returning id, text;'
+                .replace("\n", ""))
+
+    def test_insert_with_one_pk_and_oid(self):
+        """
+        When Inserting table data with one Primary Key and OID
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
+        with FakeApp().app_context():
+            result = render_template('sqleditor/sql/default/insert.sql',
+                                     data_to_be_saved=data_to_be_saved,
+                                     primary_keys=None,
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     data_type={'text': 'text',
+                                                'id': 'integer'},
+                                     pk_names='id',
+                                     has_oids=True)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'INSERT INTO test_schema.test_table (id, text) VALUES'
+                ' (%(id)s::integer, %(text)s::text) returning oid;'
+                .replace("\n", ""))
+
+    def test_insert_with_only_oid(self):
+        """
+        When Inserting table data with OID
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
+        with FakeApp().app_context():
+            result = render_template('sqleditor/sql/default/insert.sql',
+                                     data_to_be_saved=data_to_be_saved,
+                                     primary_keys=None,
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     data_type={'text': 'text',
+                                                'id': 'integer'},
+                                     pk_names='id',
+                                     has_oids=True)
+
+            str(result).replace("\n", "") | should.be.equal(
+                'INSERT INTO test_schema.test_table (id, text) VALUES'
+                ' (%(id)s::integer, %(text)s::text) returning oid;'
+                .replace("\n", ""))
+
+    def test_select_only_pk(self):
+        """
+        When Selecting table data with only Primary Key
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
+        with FakeApp().app_context():
+            result = render_template('sqleditor/sql/default/select.sql',
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     primary_keys=OrderedDict(
+                                         [('id', 'int4')]),
+                                     has_oids=False)
+            re.sub(' +', ' ', str(result).replace("\n", " ")) | should.be \
+                .equal(
+                """ SELECT * FROM test_schema.test_table WHERE id = %(id)s ;"""
             )
-        )
-    ]
 
-    def setUp(self):
-        self.loader = VersionedTemplateLoader(FakeApp())
+    def test_select_with_multiple_pk(self):
+        """
+        When Selecting table data with multiple Primary Keys
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
+        with FakeApp().app_context():
+            result = render_template('sqleditor/sql/default/select.sql',
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     primary_keys=OrderedDict(
+                                         [('id', 'int4'),
+                                          ('text', 'text')]),
+                                     has_oids=False)
+            re.sub(' +', ' ', str(result).replace("\n", " ")) | should.be \
+                .equal(
+                """ SELECT * FROM test_schema.test_table """ +
+                """WHERE id = %(id)s AND text = %(text)s ;"""
+            )
 
-    def runTest(self):
+    def test_select_with_one_pk_and_oid(self):
+        """
+        When Selecting table data with one Primary Key and OID
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
         with FakeApp().app_context():
-            result = render_template(self.insert_template_path,
-                                     **self.insert_parameters)
-            self.assertEqual(
-                re.sub(' +', ' ', str(result).replace("\n", "")),
-                re.sub(' +', ' ',
-                       self.insert_expected_return_value.replace("\n", "")))
-
-            result = render_template(self.select_template_path,
-                                     **self.select_parameters)
-            self.assertEqual(
-                re.sub(' +', ' ', str(result).replace("\n", "")),
-                re.sub(' +', ' ',
-                       self.select_expected_return_value.replace("\n", "")))
+            result = render_template('sqleditor/sql/default/select.sql',
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     primary_keys=OrderedDict(
+                                         [('id', 'int4')]),
+                                     has_oids=True)
+            re.sub(' +', ' ', str(result).replace("\n", " ")) | should.be \
+                .equal(
+                """ SELECT oid, * FROM test_schema.test_table """ +
+                """WHERE oid = %(oid)s ;"""
+            )
+
+    def test_select_with_only_oid(self):
+        """
+        When Selecting table data with OID
+        It returns the correct SQL
+        """
+        data_to_be_saved = OrderedDict()
+        data_to_be_saved['id'] = '1'
+        data_to_be_saved['text'] = 'just test'
+        with FakeApp().app_context():
+            result = render_template('sqleditor/sql/default/select.sql',
+                                     object_name='test_table',
+                                     nsp_name='test_schema',
+                                     primary_keys=OrderedDict(
+                                         [('id', 'int4')]),
+                                     has_oids=True)
+            re.sub(' +', ' ', str(result).replace("\n", " ")) | should.be \
+                .equal(
+                """ SELECT oid, * FROM test_schema.test_table WHERE """ +
+                """oid = %(oid)s ;"""
+            )
 
 
 class FakeApp(Flask):
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py b/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py
index 6a96220f..17c52094 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_apply_explain_plan_wrapper.py
@@ -7,11 +7,11 @@
 #
 ##########################################################################
 
-"""Apply Explain plan wrapper to sql object."""
 import sys
 
+from grappa import should
+
 from pgadmin.tools.sqleditor.utils import apply_explain_plan_wrapper_if_needed
-from pgadmin.utils.route import BaseTestGenerator
 
 if sys.version_info < (3, 3):
     from mock import patch, MagicMock
@@ -19,117 +19,116 @@ else:
     from unittest.mock import patch, MagicMock
 
 
-class StartRunningQueryTest(BaseTestGenerator):
-    """
-    Check that the StartRunningQueryTest method works as
-    intended
-    """
-    scenarios = [
-        ('When explain_plan is none, it should return unaltered SQL', dict(
-            function_input_parameters={
-                'manager': MagicMock(),
-                'sql': {
-                    'sql': 'some sql',
-                    'explain_plan': None
+class TestStartRunningQuery:
+    @patch('pgadmin.tools.sqleditor.utils.apply_explain_plan_wrapper'
+           '.render_template')
+    def testStartRunningQueryNoExplainPlan1(self, render_template_mock):
+        """
+        When the StartRunningQueryTest method is invoked
+        And the explain plan is not present
+        It returns unaltered SQL
+        """
+        result = apply_explain_plan_wrapper_if_needed(
+            MagicMock(), {
+                'sql': 'some sql',
+                'explain_plan': None
+            }
+        )
+
+        result | should.be.equal.to('some sql')
+        render_template_mock.assert_not_called()
+
+    @patch('pgadmin.tools.sqleditor.utils.apply_explain_plan_wrapper'
+           '.render_template')
+    def testStartRunningQueryNoExplainPlan2(self, render_template_mock):
+        """
+        When the StartRunningQueryTest method is invoked
+        And the explain plan is not present
+        It returns unaltered SQL
+        """
+        result = apply_explain_plan_wrapper_if_needed(
+            MagicMock(), {
+                'sql': 'some sql',
+            }
+        )
+
+        result | should.be.equal.to('some sql')
+        render_template_mock.assert_not_called()
+
+    @patch('pgadmin.tools.sqleditor.utils.apply_explain_plan_wrapper'
+           '.render_template')
+    def testStartRunningQueryPgExplainPlan(self, render_template_mock):
+        """
+        When the StartRunningQueryTest method is invoked
+        And the explain plan is present for postgres
+        It returns SQL with the explain plan
+        """
+
+        expected_return_value = 'EXPLAIN (FORMAT JSON, ANALYZE FALSE, ' \
+                                'VERBOSE TRUE, COSTS FALSE, BUFFERS FALSE, ' \
+                                'TIMING TRUE) some sql'
+
+        render_template_mock.return_value = expected_return_value
+
+        result = apply_explain_plan_wrapper_if_needed(
+            MagicMock(version=10, server_type='pg'), {
+                'sql': 'some sql',
+                'explain_plan': {
+                    'format': 'json',
+                    'analyze': False,
+                    'verbose': True,
+                    'buffers': False,
+                    'timing': True
                 }
-            },
-
-            expect_render_template_mock_parameters=None,
-
-            expected_return_value='some sql'
-        )),
-        ('When explain_plan is not present, it should return unaltered SQL',
-         dict(
-             function_input_parameters={
-                 'manager': MagicMock(),
-                 'sql': {
-                     'sql': 'some sql'
-                 }
-             },
-
-             expect_render_template_mock_parameters=None,
-
-             expected_return_value='some sql'
-         )),
-        ('When explain_plan is present for a Postgres server version 10, '
-         'it should return SQL with explain plan',
-         dict(
-             function_input_parameters={
-                 'manager': MagicMock(version=10, server_type='pg'),
-                 'sql': {
-                     'sql': 'some sql',
-                     'explain_plan': {
-                         'format': 'json',
-                         'analyze': False,
-                         'verbose': True,
-                         'buffers': False,
-                         'timing': True
-                     }
-                 }
-             },
-
-             expect_render_template_mock_parameters=dict(
-                 template_name_or_list='sqleditor/sql/#10#/explain_plan.sql',
-                 named_parameters=dict(
-                     format='json',
-                     analyze=False,
-                     verbose=True,
-                     buffers=False,
-                     timing=True
-                 )),
-
-             expected_return_value='EXPLAIN (FORMAT JSON, ANALYZE FALSE, '
-                                   'VERBOSE TRUE, COSTS FALSE, BUFFERS FALSE, '
-                                   'TIMING TRUE) some sql'
-         )),
-        ('When explain_plan is present for a GreenPlum server version 5, '
-         'it should return SQL with explain plan',
-         dict(
-             function_input_parameters={
-                 'manager': MagicMock(version=80323, server_type='gpdb'),
-                 'sql': {
-                     'sql': 'some sql',
-                     'explain_plan': {
-                         'format': 'json',
-                         'analyze': False,
-                         'verbose': True,
-                         'buffers': False,
-                         'timing': True
-                     }
-                 }
-             },
-
-             expect_render_template_mock_parameters=dict(
-                 template_name_or_list='sqleditor/sql/#gpdb#80323#/'
-                                       'explain_plan.sql',
-                 named_parameters=dict(
-                     format='json',
-                     analyze=False,
-                     verbose=True,
-                     buffers=False,
-                     timing=True
-                 )),
-
-             expected_return_value='EXPLAIN some sql'
-         ))
-    ]
-
-    def runTest(self):
-        with patch(
-            'pgadmin.tools.sqleditor.utils.apply_explain_plan_wrapper'
-            '.render_template'
-        ) as render_template_mock:
-            render_template_mock.return_value = self.expected_return_value
-            result = apply_explain_plan_wrapper_if_needed(
-                **self.function_input_parameters)
-            self.assertEquals(result, self.expected_return_value)
-            if self.expect_render_template_mock_parameters:
-                render_template_mock.assert_called_with(
-                    self.expect_render_template_mock_parameters[
-                        'template_name_or_list'],
-                    sql=self.function_input_parameters['sql']['sql'],
-                    **self.expect_render_template_mock_parameters[
-                        'named_parameters']
-                )
-            else:
-                render_template_mock.assert_not_called()
+            }
+        )
+
+        result | should.be.equal.to(expected_return_value)
+        render_template_mock.assert_called_with(
+            'sqleditor/sql/#10#/explain_plan.sql',
+            format='json',
+            analyze=False,
+            verbose=True,
+            buffers=False,
+            timing=True,
+            sql='some sql'
+        )
+
+    @patch('pgadmin.tools.sqleditor.utils.apply_explain_plan_wrapper'
+           '.render_template')
+    def testStartRunningQueryGpdbExplainPlan(self, render_template_mock):
+        """
+        When the StartRunningQueryTest method is invoked
+        And the explain plan is present for GPDB
+        It returns SQL with the explain plan
+        """
+
+        expected_return_value = 'EXPLAIN (FORMAT JSON, ANALYZE FALSE, ' \
+                                'VERBOSE TRUE, COSTS FALSE, BUFFERS FALSE, ' \
+                                'TIMING TRUE) some sql'
+
+        render_template_mock.return_value = expected_return_value
+
+        result = apply_explain_plan_wrapper_if_needed(
+            MagicMock(version=80323, server_type='gpdb'), {
+                'sql': 'some sql',
+                'explain_plan': {
+                    'format': 'json',
+                    'analyze': False,
+                    'verbose': True,
+                    'buffers': False,
+                    'timing': True
+                }
+            }
+        )
+
+        result | should.be.equal.to(expected_return_value)
+        render_template_mock.assert_called_with(
+            'sqleditor/sql/#gpdb#80323#/explain_plan.sql',
+            format='json',
+            analyze=False,
+            verbose=True,
+            buffers=False,
+            timing=True,
+            sql='some sql'
+        )
diff --git a/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py b/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py
index 97479782..584fa224 100644
--- a/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py
+++ b/web/pgadmin/tools/sqleditor/utils/tests/test_filter_dialog_callbacks.py
@@ -6,11 +6,9 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
+from grappa import should
 
-"""Apply Explain plan wrapper to sql object."""
-from pgadmin.utils.ajax import make_json_response, internal_server_error
 from pgadmin.tools.sqleditor.utils.filter_dialog import FilterDialog
-from pgadmin.utils.route import BaseTestGenerator
 
 TX_ID_ERROR_MSG = 'Transaction ID not found in the session.'
 FAILED_TX_MSG = 'Failed to update the data on server.'
@@ -23,81 +21,59 @@ class MockRequest(object):
         self.args = "Test data",
 
 
-class StartRunningDataSortingTest(BaseTestGenerator):
-    """
-    Check that the DataSorting methods works as
-    intended
-    """
-    scenarios = [
-        ('When we do not find Transaction ID in session in get', dict(
-            input_parameters=(None, TX_ID_ERROR_MSG, None, None, None),
-            expected_return_response={
-                'success': 0,
-                'errormsg': TX_ID_ERROR_MSG,
-                'info': 'DATAGRID_TRANSACTION_REQUIRED',
-                'status': 404
-            },
-            type='get'
-        )),
-        ('When we pass all the values as None in get', dict(
-            input_parameters=(None, None, None, None, None),
-            expected_return_response={
-                'data': {
-                    'status': False,
-                    'msg': None,
-                    'result': {
-                        'data_sorting': None,
-                        'column_list': []
-                    }
-                }
-            },
-            type='get'
-        )),
+class TestStartRunningDataSorting:
+    def test_filter_dialog_get_no_id(self):
+        """
+        When the FilterDialog.get method is called
+        And there is no Transaction ID found in session
+        It retuns a 404
+        """
+        result = FilterDialog.get(None, TX_ID_ERROR_MSG, None, None, None)
+        result.status_code | \
+            should.equal(404)
 
-        ('When we do not find Transaction ID in session in save', dict(
-            input_arg_parameters=(None, TX_ID_ERROR_MSG, None, None, None),
-            input_kwarg_parameters={
-                'trans_id': None,
-                'request': MockRequest()
-            },
-            expected_return_response={
-                'success': 0,
-                'errormsg': TX_ID_ERROR_MSG,
-                'info': 'DATAGRID_TRANSACTION_REQUIRED',
-                'status': 404
-            },
-            type='save'
-        )),
+    def test_filter_dialog_get_no_values(self):
+        """
+        When the FilterDialog.get method is called
+        And all the values are passed as None
+        It retuns a 404
+        """
+        result = FilterDialog.get(None, None, None, None, None)
+        result.status_code | \
+            should.equal(200)
 
-        ('When we pass all the values as None in save', dict(
-            input_arg_parameters=(None, None, None, None, None),
-            input_kwarg_parameters={
-                'trans_id': None,
-                'request': MockRequest()
-            },
-            expected_return_response={
-                'status': 500,
-                'success': 0,
-                'errormsg': FAILED_TX_MSG
+    def test_filter_dialog_save_no_id(self):
+        """
+        When the FilterDialog.save method is called
+        And there is no Transaction ID found in session
+        It retuns a 404
+        """
+        input_arg_parameters = (None, TX_ID_ERROR_MSG, None, None, None)
+        input_kwarg_parameters = {
+            'trans_id': None,
+            'request': MockRequest()
+        }
 
-            },
-            type='save'
-        ))
-    ]
+        result = FilterDialog.save(
+            *input_arg_parameters, **input_kwarg_parameters)
 
-    def runTest(self):
-        expected_response = make_json_response(
-            **self.expected_return_response
-        )
-        if self.type == 'get':
-            result = FilterDialog.get(*self.input_parameters)
-            self.assertEquals(
-                result.status_code, expected_response.status_code
-            )
-        else:
-            result = FilterDialog.save(
-                *self.input_arg_parameters, **self.input_kwarg_parameters
-            )
-            self.assertEquals(
-                result.status_code, expected_response.status_code
-            )
+        result.status_code | \
+            should.equal(404)
+
+    def test_filter_dialog_save_no_values(self):
+        """
+        When the FilterDialog.save method is called
+        And all the values are passed as None
+        It retuns a 500
+        """
+        input_arg_parameters = (None, None, None, None, None)
+        input_kwarg_parameters = {
+            'trans_id': None,
+            'request': MockRequest()
+        }
+
+        result = FilterDialog.save(
+            *input_arg_parameters, **input_kwarg_parameters)
+
+        result.status_code | \
+            should.equal(500)
